import { FieldProps } from "formik";
import { ReactNode } from "react";
export type RadioValue = string | number | null;
type RadioParams = {
    fieldProps: FieldProps;
};
export declare const RadioContext: import("react").Context<RadioParams | undefined>;
type ProviderProps = {
    children?: ReactNode;
    fieldProps: FieldProps<RadioValue>;
};
declare const RadioProvider: ({ children, fieldProps }: ProviderProps) => JSX.Element;
export declare const useRadioContext: () => RadioParams;
export default RadioProvider;
